h1 {
	font-size: 2em; 
    margin-bottom: .5rem;
}

body {
 margin: 0;
 padding: 10px;
 font-size: 18px;
 line-height: 24px;
 background-color: rgba(120, 120, 120, 0.1);
}
		
.zagolovok {
text-align: center;
margin-bottom: 15px;		
}

.sitename {
padding-right: 10px;
font-size: 32px;
font-weight: 400;
line-height: 1.4em;
}

.contentcat {
padding: 0;
margin: 0;
list-style: none;
}

.cat-item {
width: 300px;
height: 750px;
margin-right: 20px;
margin-bottom: 10px;
}

.cat-content {
padding: 10px;
}

.cat-photo:hover,
.cat-item:hover .card_img {
opacity: 0.7;
}

.name {
	margin: 0;
	margin-bottom: 15px;
	padding: 0;
	overflow: hidden;
	text-overflow: ellipsis;
    white-space: nowrap;
}
.cat-photo-wrapper {
	position: relative;
    height: 350px;
    margin-bottom: 15px;
    overflow: hidden;			
}

.cat-photo {
	position: absolute;
	bottom: 0;
}

.name-link {
	color: black;
}

.category-link {
	margin-bottom: 10px;
    color: rgba(60, 55, 55, 0.7);
}

.name-link:hover,
.name-link:focus,
.category-link:hover,
.category-link:focus {
	color: red;
}

.price {
	margin-bottom: 20px;
    color: red;
    font-weight: bolder;
    font-size: 20px;
}
.rub {
	position: relative;
}

.cat-description {
	margin: 0;
    padding: 0;
    overflow: hidden;
    text-align: justify;
    text-overflow: ellipsis;
}








.rating-area-wrapper {
	font-size: 0;
	width: 100%;
}

.rating-area {
	display: inline-block;
    font-size: 18px;
}
.rating-area:not(:checked) > input {
	display: none;
}
.rating-area:not(:checked) > label {
	float: right;
	width: 14px;
	padding: 0;
	cursor: pointer;
	font-size: 12px;
	line-height: 12px;
	color: lightgrey;
	text-shadow: 1px 1px #bbb;
}
.rating-area:not(:checked) > label:before {
	content: '★';
}
.rating-area > input:checked ~ label {
	color: gold;
	text-shadow: 0.5px 0.5px #c60;
}
.rating-area:not(:checked) > label:hover,
.rating-area:not(:checked) > label:hover ~ label {
	color: gold;
}
.rating-area > input:checked + label:hover,
.rating-area > input:checked + label:hover ~ label,
.rating-area > input:checked ~ label:hover,
.rating-area > input:checked ~ label:hover ~ label,
.rating-area > label:hover ~ input:checked ~ label {
	color: gold;
	text-shadow: 0.5px 0.5px goldenrod;
}
.rate-area > label:active {
	position: relative;
}











.controls {
    font-size: 8px;
    text-align: justify;
    margin-bottom: 20px;
}

.controls_label {
    display: inline-block;
    width: 35px;
    height: 17px;
    background-color: white;
    border: 1px solid #A9A9A9;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 1px 2px 2px 0 #A9A9A9;
    box-shadow: 1px 2px 2px 0 #A9A9A9;
    background-size: 90%;
    background-position: center;
}

.controls_label:hover {
    background-color: #D3D3D3;
}

#controls-1:checked~.controls label[for="controls-1"],
#controls-2:checked~.controls label[for="controls-2"] {
    background-color: #D3D3D3;
}

#controls-1:checked~.contentcat .cat-item {
    float: left;
}


#controls-2:checked~.contentcat {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#controls-2:checked~.contentcat .cat-item .cat-photo-wrapper {
    float: left;
    position: static;
    width: 50%;
    margin-right: 30px;
}

#controls-2:checked~.contentcat .cat-item .cat-photo-wrapper img {
    position: static;
    height: 100%;
    width: auto;
}

#controls-2:checked~.contentcat .cat-item {
    width: 80%;
    height: 400px;
    padding-left: 20px;
}


